ported the pages about actionbutton, contextdrawer, globaldrawer to rst
ClosedPublic

Authored by fabianr on Mar 7 2018, 11:07 AM.

Details

Summary

ported the pages about actionbutton, contextdrawer, globaldrawer to rst, updated component toc

Diff Detail

Repository
R985 KDE Human Interface Guidelines
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
fabianr requested review of this revision.Mar 7 2018, 11:07 AM
fabianr created this revision.

There is a small thin line at the bottom of Action_Buttons.png. Cut it out? Doesn't look so good.

source/components/globaldrawer.rst
13

Capialization of global drawer (here and elsewhere). I would prefer generally all small letters.

35

Do the following list like this:

- tabs,
- main menu,
- push buttons to execute non-contextual actions,
- checkboxes or radio buttons controlling often accessed settings.
fabianr updated this revision to Diff 29143.Mar 10 2018, 11:05 AM
  • fixed capitalization

Since you haven't yet addressed the punctuation in the bullet points and we use bullet points extensively here and else in the document we should maybe discuss in general how to handle punctuation and capitalization in such lists.

I would prefer the style I know from university, i.e. if the bullet points are not full sentences:

  • begin with small capitals and use commas to end first item,
  • second one,
  • and so on,
  • finally end with a period.

In contrast for full sentences:

  • In this case it is ok to begin with big capital and end the first item with a period.
  • The second item should be ended with a period just like the first one.
  • Do this for every other item until the last one, which ends of course with a period as well.

If the items is just an enumeration without grammatical structure I think it's fine to use no punctuation like:

  • this
  • that
  • all together
  • period at the end.

I don't feel strongly about that, but I would suggest that we follow the practice that is used in the HIG page about capitalization, https://hig.kde.org/style/writing/capitalization.html :

  • Window and dialog box titles
  • Group box / group line labels
  • Button labels
  • Tab labels
  • Listview column headers
  • Menu titles / menu items
  • Derivatives of KCommand
  • Combobox items
  • Listbox items
  • Tree list items
  • Other heading/title text

Bullet points start with an capitalized word and only have punctuation, if they are full sentences.

fabianr updated this revision to Diff 29313.Mar 12 2018, 11:00 AM
  • improved images
romangg accepted this revision.Mar 21 2018, 9:24 AM

We postpone the punctuation and capitalization discussion for now.

This revision is now accepted and ready to land.Mar 21 2018, 9:24 AM
fabianr closed this revision.Mar 21 2018, 9:33 AM